#
# spec file for package gap-intpic
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gap-intpic
Version:        0.3.0
Release:        1.3
Summary:        GAP: package for drawing integers
License:        GPL-2.0-or-later
Group:          Productivity/Scientific/Math
URL:            https://gap-packages.github.io/intpic
#Git-Clone:     https://github.com/gap-packages/intpic
Source:         https://github.com/gap-packages/intpic/releases/download/v%version/IntPic-%version.tar.gz
BuildArch:      noarch
BuildRequires:  fdupes
BuildRequires:  gap-rpm-devel
Requires:       gap-core >= 4.7
Requires:       gap-gapdoc >= 1.5
Requires:       gap-numericalsgps >= 1.0

%description
The IntPic package, is a package for drawing integers, by emphasizing
some subsets.

%prep
%autosetup -n IntPic-%version

%build

%install
%gappkg_simple_install
%fdupes %buildroot/%_prefix

%files -f %name.files

%changelog
* Sat Nov 19 2022 Jan Engelhardt <jengelh@inai.de>
- Update to release 0.3.0
  * Added the option "ns_table" to the functions
    "TikzCodeForNumericalSemigroup" and "IP_TikzArrayOfIntegers" to
    make drawings of numerical semigroups as tables with the
    threshold interval in the top row
  * Added the default option "negatives"
  * Added the function "DrawNumericalSemigroup" to display a
    numerical semigroup
* Sun Dec 24 2017 jengelh@inai.de
- Update to new upstream release 0.2.3
  * Minor changes to the manual
* Tue Aug  4 2015 jengelh@inai.de
- Update to new upstream release 0.2.1
  * added some stuff for drawing sets of numerical semigroups
* Fri Apr 18 2014 jengelh@inai.de
- Initial package (version 0.1.0) for build.opensuse.org
